Get TraceMail dashboard
/api/delivery/tracemail/dashboardReturns dashboard metrics, top accounts and alert groups for TraceMail.
Authorization
api_key API token used to authenticate requests.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Delivery account id to filter dashboard data.
Delivery domain name to filter dashboard data.
Timezone used to aggregate dashboard data.
Date range for daily activity metrics.
Daily activity start date.
Daily activity end date.
Daily activity audience filter.
all= include every value.active= valueactive.top= valuetop.
all | active | topDaily activity traffic filter.
transactional= transactional SMTP/API sending.marketing= valuemarketing.mixed= valuemixed.
transactional | marketing | mixedDate range and limit for top account metrics.
Top accounts start date.
Top accounts end date.
Top accounts limit.
int32Deprecated alias for top_accounts.
Top accounts start date.
Top accounts end date.
Top accounts limit.
int32Date range for overview metrics.
Overview start date.
Overview end date.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/delivery/tracemail/dashboard" \ -H "X-Api-Token: YOUR_API_TOKEN" \ -H "Accept: application/json" \ -H "Content-Type: application/json" \ -d '{}'{ "resources": [ { "timezone": "string", "top_accounts_by_delivery_account": "string", "top5_by_delivery_account": "string", "daily_activity": "string", "status_groups": "string", "overview": "string" } ], "pagination": {}}